digiKam Developer Documentation: Digikam::ActionJob Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Digikam::ActionJob Class Reference
Inheritance diagram for Digikam::ActionJob:

## Public Slots
void | cancel ()
| Call this method to cancel job.

## Signals
void | signalDone ()
| Use this signal in your implementation to inform ActionThreadBase manager the job is done.
void | signalProgress (int)
| Use this signal in your implementation to inform ActionThreadBase manager the job progress.
void | signalStarted ()
| Use this signal in your implementation to inform ActionThreadBase manager that job is started.

## Public Member Functions
| ActionJob (QObject *const parent=nullptr)
| Constructor which delegate deletion of QRunnable instance to ActionThreadBase, not QThreadPool.
| ~ActionJob () override
| Re-implement destructor in you implementation.

## Public Attributes
QElapsedTimer | m_timer
| Timer to determine the running time of the job.

## Protected Member Functions
virtual void | run () override
| Reimplemented from QRunnable to customize the thread name based on the object name.

## Protected Attributes
bool | m_cancel = false
| You can use this boolean in your implementation to know if job must be canceled.

## Constructor & Destructor Documentation

## ◆ ~ActionJob()

Digikam::ActionJob::~ActionJob | ( |  | ) |
| override

Don't forget to cancel job.

## Member Function Documentation

## ◆ run()

void Digikam::ActionJob::run | ( |  | ) |
| overrideprotectedvirtual

Call it on the top of your derived implementation to take effect.

Reimplemented in Digikam::AlbumsJob, Digikam::DatesJob, Digikam::GPSJob, Digikam::TagsJob, Digikam::SearchesJob, Digikam::CopyOrMoveJob, Digikam::DeleteJob, Digikam::RenameFileJob, Digikam::DTrashItemsListingJob, Digikam::RestoreDTrashItemsJob, Digikam::EmptyDTrashItemsJob, Digikam::BuildTrashCountersJob, Digikam::VidSlideTask, Digikam::DatabaseTask, Digikam::FingerprintsTask, Digikam::ImageQualityTask, Digikam::MetadataRemoveTask, Digikam::MetadataSyncTask, Digikam::ThumbsTask, and Digikam::ActionTask.